import GameLogic

# For display
GameLogic.stack = [[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[],[]]

# Zero Point in Motion Plus
GameLogic.mp_center = []

# IR
GameLogic.ir = [[0,0],[0,0],[0,0],[0,0]]

# Button
GameLogic.btn_exist = False

# Blue Saber
GameLogic.alpha = 0.0
GameLogic.beta = 0.0
GameLogic.gamma = 0.0

# Magenta Saber
GameLogic.alpha_magenta = 0
GameLogic.beta_magenta = 0
GameLogic.gamma_magenta = 0

'''
Dict to set osc and variable
Add items to add entry ==> 'osc_id' : 'variable_name'
'''
attribution = { '/X' : 'X',
                '/Y' : 'Y',
                '/Z' : 'Z',
                '/btn' : 'btn',
                '/a' : 'a',
                '/b' : 'b',
                '/plus' : 'plus',
                '/minus' : 'minus',
                '/home' : 'home',
                '/1' : 'one',
                '/2' : 'two',
                '/up' : 'up',
                '/down' : 'down',
                '/right' : 'right',
                '/left' : 'left',
                # Motion Plus
                '/mp-pitch' : 'mpPitch',
                '/mp-roll' : 'mpRoll',
                '/mp-yaw' : 'mpYaw',
                '/mp-yaw-slow' : 'mpYawSlow',
                '/mp-roll-slow': 'mpRollSlow',
                '/mp-pitch-slow' : 'mpPitchSlow',
                # All data'
                '/all-data' : 'allData',
#                # Nunchuck
#                '/nc-stick' : 'ncStick',
#                '/nc-btn' : 'ncBtn',
#                '/nc-accX' : 'ncAccX',
#                '/nc-accY' : 'ncAccY',
#                '/nc-accZ' : 'ncAccZ',
#                # IR
#                '/ir'       : 'irled',
#                '/blob1-x' : 'blob1X',
#                '/blob1-y' : 'blob1Y',
#                '/blob2-x' : 'blob2X',
#                '/blob2-y' : 'blob2Y',
#                '/blob3-x' : 'blob3X',
#                '/blob3-y' : 'blob3Y',
#                '/blob4-x' : 'blob4X',
#                '/blob4-y' : 'blob4Y' 
}

# Set all variable as GameLogic attribut with 0
for value in attribution.values(): 
    setattr(GameLogic, value, 0)

GameLogic.attribution = attribution

